Bug 1000316 - Backport of RIFTSAW-519
Backport of RIFTSAW-519
Status: VERIFIED
Product: JBoss Enterprise SOA Platform 5
Classification: JBoss
Component: riftsaw (Show other bugs)
5.3.1
Unspecified Unspecified
unspecified Severity unspecified
: GA
: ---
Assigned To: Julian Coleman
:
Depends On:
Blocks: 986007
  Show dependency treegraph
 
Reported: 2013-08-23 03:40 EDT by Adam Kovari
Modified: 2015-08-31 23:04 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker RIFTSAW-519 Major Resolved Loss of recovery for BPEL process if shutdown or crash within timeout 2014-06-24 22:28:34 EDT

  None (edit)
Description Adam Kovari 2013-08-23 03:40:02 EDT
Description of problem:
Backport of https://issues.jboss.org/browse/RIFTSAW-519 into the next Roll up patch for SOA 5.3.1 or upgrade of the Riftsaw component.

Version-Release number of selected component (if applicable):
JBoss SOA-P 5.3.1
Comment 1 Rick Wagner 2013-08-23 11:04:41 EDT
Note to Productisation / Engineering:

The non-build related commits to RIFTSAW-519 seem to be just a few lines of code, as seen at [1].

[1] https://source.jboss.org/browse/RiftSaw/dsp/branches/DSP-1.0.x/integration/jbossas5/src/main/java/org/jboss/soa/dsp/server/jbossas5/JBossServerConfigImpl.java?r=1597

--------------------------------------------------------------------------

This BZ is being suggested for a SOA-P 5.3.1 Roll up patch.  Can we please cherry-pick those few lines above and include them in the associated Roll up?

Thanks,

Rick
Comment 2 Gary Brown 2013-09-02 11:30:26 EDT
5.3.0 appears to be based on DSP 1.1.0.Final. The only change in 1.2.0.Final is the fix for RIFTSAW-519, so it looks like the easiest solution would be to move the version (and tag) of DSP used to 1.2.0.Final.

Assigning to productisation - but let me know if there is anything required.

Note You need to log in before you can comment on or make changes to this bug.